import java.util.Iterator;


/**
 * A Log represents a log file.
 * It is basically a collection of LogEntries.
 */
public class Log implements Iterable<LogEntry> {

    private final String fileName;
    
    
    /**
     * Create a Log for the given file name.
     * The file with the given name has to exist 
     * and contain lines in the Common Log Format.
     */
    public Log(final String fileName) {
        this.fileName = fileName;
    }

    /**
     * Get an Iterator so you can iterate over all LogEntries in this Log.
     */
    public Iterator<LogEntry> iterator() {
        return new LogIterator(fileName);
    }

}
